Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002431KdenliveUser Interfacepublic2011-12-05 13:412011-12-10 19:03
ReporterZerofossilfuel 
Assigned Toj-b-m 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntel Atom NetbookOSXubuntu 11.10OS Version3.0.0-13-generic
Product Version0.8.2 
Target VersionFixed in Version0.8.2.1 
Summary0002431: Title clip window on Asus Netbook
DescriptionI know it's a crammed monitor at only 1024x600 but I can usually make it work. When I try to create a title clip, the window borders flow off the screen. The problem is I can only move that window straight down. Once I move it down I cannot move it back up. I also cannot move it side to side or resize it. I can only close the window and try again. Because I cannot expose other controls, this part of the program is unusable.
Steps To ReproduceTry to add a title clip at any time. Default profile HD 720p 24fps.
Additional InformationLatest from Sunab PPA, Version 0.8.2 4.7.2
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0007649)
yellow (reporter)
2011-12-05 21:40

I find the Render dialogue another one that is unusable on a netbook, it's not possible to see the buttons along the bottom or resize / collapse to fit on screen.

I use a netbook very often when away to transfer files from camera memory card to external h/d and second copy to netbook drive as backup, then wipe the camera card and reuse, as class 10 memory cards are expensive. :-)

Then on occasions I've wanted to do a rough edit on the netbook but been unable to use the render dialogue.
(0007650)
Zerofossilfuel (reporter)
2011-12-05 23:30

I attached an external monitor today and had no problem moving the Title Clip window around in any direction. But I could not size it any smaller than the default size it opened to. Therefore, unlike the main program window which works as it should, there are no scroll bars available for these sub menu nested windows. If they don't fit on our screen when they open, we're SOL.

Some of them, however, such as Configure Kdenlive under Settings, at least allow us to use the Move navigation option to grab the windows and slide them upward off screen to get access to the Apply/Cancel/OK buttons, etc. If we had that same sort of consistency throughout the rest of the user interface, life would be good.
(0007651)
j-b-m (administrator)
2011-12-06 11:39

You should be able to move any window using Alt+Left mouse click. Maybe that's an acceptable workaround as I doubt we can make the titler window fit on such small resolution... The titler anyways needs a complete rewrite, but it's not going to happen soon.
(0007652)
Zerofossilfuel (reporter)
2011-12-06 13:23

Alt+Left mouse click is the same as Right Click on window buttons then selecting Move. And yes, this works for the Settings and Render windows and is a suitable workaround. However, it does not work for the Title Clip window. When that window first appears, it's aligned so we can see the top and left borders. Bottom and right flow off the screen. Alt+LMC only lets us slide the window straight down, not left or right and once it moves downward, it ratchets there and will not move back upward. There is no way for us to expose those other areas of that window on screens that the whole window will not fit when it first opens.

Another workaround that might work if there was a way to do it would be to have a video driver that would emulate 1280x720 or 1440x900 and scale it to our 1024x600 screens, but I haven't seen one.

I know it needs a full rewrite but can this one Title Clip window bug be fixed beforehand?
(0007653)
j-b-m (administrator)
2011-12-06 22:20

Ok, I have done my best to fix layout issues in the render and title widgets, and I managed to really reduce the title widget. It now easily fits on a 1024x768 display. I have no way to test on a 1024x600, but it should just fit. The update will be in sunab's next update (svn repository) probably tomorronw night, and in the 0.8.2.1 release that I hope to make on thursday.
(0007658)
Zerofossilfuel (reporter)
2011-12-10 15:27

Made it to the repo some time between Friday night and Saturday morning, not to mention kernel 3.0.0-14. Title clip widget window can now be moved in any direction exposing all controls. Problem solved.

Thank you so SO much!

Happy holidays,
Z

- Issue History
Date Modified Username Field Change
2011-12-05 13:41 Zerofossilfuel New Issue
2011-12-05 21:40 yellow Note Added: 0007649
2011-12-05 23:30 Zerofossilfuel Note Added: 0007650
2011-12-06 11:39 j-b-m Note Added: 0007651
2011-12-06 11:39 j-b-m Assigned To => j-b-m
2011-12-06 11:39 j-b-m Status new => feedback
2011-12-06 13:23 Zerofossilfuel Note Added: 0007652
2011-12-06 13:23 Zerofossilfuel Status feedback => assigned
2011-12-06 22:20 j-b-m Note Added: 0007653
2011-12-10 15:27 Zerofossilfuel Note Added: 0007658
2011-12-10 19:02 j-b-m Status assigned => resolved
2011-12-10 19:02 j-b-m Fixed in Version => 0.8.2.1
2011-12-10 19:02 j-b-m Resolution open => fixed
2011-12-10 19:03 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker